asteroids = {
	img = love.graphics.newImage("asteroid.png")
}

function asteroid_create(size)
	--big asteroid
	if size == "big" then
		table.insert(asteroids, {})
			asteroids[#asteroids].size = 1
			asteroids[#asteroids].health = 100
			asteroids[#asteroids].score = 20
			asteroids[#asteroids].body = love.physics.newBody(world, 100, 100, "static")
	end
	
	--medium asteroid
	if size == "medium" then
		table.insert(asteroids, {})
			asteroids[#asteroids].size = 2
			asteroids[#asteroids].health = 50
			asteroids[#asteroids].score = 50
			asteroids[#asteroids].body = love.physics.newBody(world, 300, 300, "static")
	end
	
	--small asteroid
	if size == "small" then
		table.insert(asteroids, {})
			asteroids[#asteroids].size = 3
			asteroids[#asteroids].health = 25
			asteroids[#asteroids].score = 100
			asteroids[#asteroids].body = love.physics.newBody(world, 400, 400, "static")
	end
	
	--asteroids[#asteroids].body = love.physics.newBody(world, 400, 400, "dynamic")
	asteroids[#asteroids].shape = love.physics.newRectangleShape(100/asteroids[#asteroids].size, 100/asteroids[#asteroids].size)
	asteroids[#asteroids].fixture = love.physics.newFixture(asteroids[#asteroids].body, asteroids[#asteroids].shape)
	asteroids[#asteroids].speed = player.body:getLinearVelocity() + 50
	asteroids[#asteroids].fixture:setUserData("asteroid")
	
end

function asteroids_update(dt)
	for i, o in ipairs(asteroids) do
		--screen looping
		if o.body:getX() <0 then
			o.body:setPosition(love.graphics.getWidth(), o.body:getY())
		elseif o.body:getX() > love.graphics.getWidth() then
			o.body:setPosition(0, o.body:getY())
		end
		if o.body:getY() <0 then
			o.body:setPosition(love.graphics.getHeight(), o.body:getX())
		elseif o.body:getY() > love.graphics.getHeight() then
			o.body:setPosition(0, o.body:getX())
		end
				
		--health check
		if o.health <= 0 and o.size == 1 then
			table.remove(asteroids, i)
		end
		
		if o.health <= 0 and o.size == 2 then
			table.remove(asteroids, i)
		end

		if o.health <= 0 and o.size == 3 then
			table.remove(asteroids, i)
		end
	end
end

function asteroids_draw()
	for i, o in ipairs(asteroids) do
		love.graphics.draw(asteroids.img, o.body:getX(), o.body:getY(), 0, 1/o.size, 1/o.size, 50, 50)
	end
end