
player = {
	accel = 75,
	turnSpeed = 10,
	direction = 0.5 * math.pi,
	img = love.graphics.newImage("ship.png"),
	firing_speed = 0.5,
	shoot_timer = 0
}

function player_create()
	player.body = love.physics.newBody(world, love.graphics.getWidth()/2, love.graphics.getHeight()/2, "dynamic" )
	player.shape = love.physics.newRectangleShape(34, 44)
	player.fixture = love.physics.newFixture(player.body, player.shape)
	player.body:setType("player")
end

function player_update(dt)
	--turning
	if love.keyboard.isDown("right") then
		player.direction = player.direction + (dt * player.turnSpeed)
	elseif love.keyboard.isDown("left") then
		player.direction = player.direction - (dt * player.turnSpeed)
	end
	
	--forward and back
	if love.keyboard.isDown("up") then
		player.body:applyForce(player.accel * -math.cos(player.direction), player.accel * -math.sin(player.direction))
	elseif love.keyboard.isDown("down") then
		player.body:applyForce(player.accel * math.cos(player.direction), player.accel * math.sin(player.direction))
	end
	
	if love.keyboard.isDown(" ") then
		shoot(dt)
	end
	
	--screen looping
	if player.body:getX() <0 then
      player.body:setPosition(love.graphics.getWidth()-1, player.body:getY())
   elseif player.body:getX() > love.graphics.getWidth() then
      player.body:setPosition(1, player.body:getY())
   end
   if player.body:getY() <0 then
      player.body:setPosition(player.body:getX(), love.graphics.getHeight()-1)
   elseif player.body:getY() > love.graphics.getHeight() then
      player.body:setPosition(player.body:getX(), 1)
   end
end

function player_draw()
	love.graphics.draw(player.img, player.body:getX(), player.body:getY(), player.direction - 0.5 * math.pi, 1, 1, 17, 22)
end